/*
 * AculCalParsScintFile.h
 *
 *  Created on: Oct 25, 2016
 *      Author: vratik
 */

#ifndef ACULCALIB_ACULCALPARSSCINTFILE_H_
#define ACULCALIB_ACULCALPARSSCINTFILE_H_

#include <vector>
#include <iostream>

#include "TFile.h"
#include "TCutG.h"
#include "TString.h"

using std::vector;
using std::cout;
using std::endl;
using std::cerr;

class AculCalParsScintFile {
private:

//	UInt_t fFileID;
	Int_t fNoCrystals;
	Double_t fE;
//	TCutG fCuts;
	TString fFileName;

	TString fCutsFileName;
	vector<TString> fCutName;
	vector<TCutG> fCut;


	vector<Int_t> fPeakMin;
	vector<Int_t> fPeakMax;

public:
	AculCalParsScintFile();
	virtual ~AculCalParsScintFile();
	ClassDef(AculCalParsScintFile, 1);

	void Init();

	Int_t GetNoCrystals() {return fNoCrystals;}
	const char* GetRawFileName() {return fFileName.Data();}
	const char* GetCutFileName() {return fCutsFileName.Data();}
	Double_t GetEnergy() {return fE;}
	Int_t GetNoCuts() {return (Int_t)fCut.size();}
	const char* GetCutName(Int_t i);
	TCutG* GetCut(Int_t i);
	TCutG* GetCut(const char* cutName);
	Int_t GetPeakMin(Int_t crystalID);
	Int_t GetPeakMax(Int_t crystalID);

	void SetNoCrystals(Int_t nocrystals) {fNoCrystals = nocrystals;};
	void SetEnergy(Double_t energy) {fE = energy;};
	void SetRawFileName(const char* filename);
	void SetCutFileName(const char* filename);
	void SetNoCuts(Int_t noCuts);
	void SetCutName(Int_t i, const char* cutname);
	void SetPeakMin(Int_t crystalID, Double_t limit);
	void SetPeakMax(Int_t crystalID, Double_t limit);

	void LoadCuts();
//	void Reset();

private:
//	void LoadCuts();
};

#endif /* ACULCALIB_ACULCALPARSSCINTFILE_H_ */
